<!DOCTYPE html>
<html lang="nl">
<head>
	<meta charset="utf-8">
	<title>NummerReeks App | Afdelingen</title>
	<link rel="stylesheet" href="/static/css/bootstrap/bootstrap.min.css">
	<link rel="stylesheet" href="/static/css/bcd.css">
	<script src="/static/js/jquery-3.5.1.js"></script>
	<script src="/static/js/bootstrap/bootstrap.min.js"></script>
	<script src="/static/js/bcd.util.js"></script>
	<script src="/static/js/bcd.shared.js"></script>
	<script src="/static/js/bcd.dialog.js"></script>
	<script src="/static/js/bcd.search.js"></script>
	<script>
		const BASE_PATH = '~%basePath%';
		const SEARCH_REQUEST = ~%searchRequest%;
		const PERMISSION = '~%permission%';
	</script>
</head>

<body>

~%%include:/html/include/navbar.html%
~%%include:adminNavbar:/html/include/AdminNavbar.html%
	
	<h1>Afdelingen</h1>
	
	~%%include:logo:/html/include/Logo.html%
	
	<div class="left" id="w2">

		<div  id="list-buttons-container">
			<button
				id="create-button"
				class="btn btn-primary"
				onclick="action('new')"
			>
				Nieuwe Afdeling
			</button>
		</div>
		
		<div id="extra-search-options">&nbsp;</div>

		<div>
			<table
				class="row-border hover order-column"
				cellspacing="0"
				width="100%">
				<thead>
					<tr>
						<th nowrap class="th-main" data-sortcol="DEPARTMENT_NAME">Naam</th>
						<th nowrap class="th-main" data-sortcol="REQUEST_COUNT"># Verzoeken</th>
						<th nowrap class="th-main" data-sortcol="NUMBER_COUNT"># Nummers</th>
						<th nowrap class="th-main" data-sortcol="ACTIVE">Actief</th>
						<th nowrap>&nbsp;</th> <!-- show requests -->
						<th nowrap>&nbsp;</th> <!-- edit -->
						<th nowrap>&nbsp;</th> <!-- delete -->
					</tr>
				</thead>

				<tbody>
					~%%begin:mainTable%
					<tr class="main-table-row" data-request-count="~%requestCount%">
						<td nowrap style="width:100%;">~%departmentName%</td>
						<td nowrap style="text-align:right;padding-right:10px;">~%requestCount%</td>
						<td nowrap style="text-align:right;padding-right:10px;">~%numberCount%</td>
						<td nowrap class="active-column">~%active%</td>
						<td class="button-container">
							<button
								class="btn btn-primary show-requests-button"
								data-toggle="tooltip"
								title="Toon nummerreeksen voor ~%departmentName%"
								style="width: 3em; height: 1.8em;"
								onclick="showRequests(~%departmentId%,'~%js:departmentName%');"
							>
								~%%include:searchIcon:/svg/search.svg%
							</button>
						</td>
						<td class="button-container">
							<button
								class="btn btn-primary"
								data-toggle="tooltip"
								title="Afdeling bewerken"
								style="width: 3em; height: 1.8em;"
								onclick="showEditPage(~%departmentId%);"
							>
								~%%include:editIcon:/svg/pencil-square.svg%
							</button>
						</td>
						<td class="button-container">
							<button
								class="btn btn-primary delete-button"
								data-toggle="tooltip"
								data-active="~%active%"
								style="width: 3em; height: 1.8em;"
								onclick="deleteOrDeactivate('Afdeling',~%departmentId%,'~%departmentName%',~%active%,~%requestCount%);"
							>
								<span style="display:none;">~%%include:deleteIcon:/svg/trash.svg%</span>
								<span style="display:none;">~%%include:deactivateIcon:/svg/archive.svg%</span>
							</button>
						</td>
					</tr>
					~%%end:mainTable%
				</tbody>
			</table>
			
			<div id="row-count-display"></div>

		</div>

~%%include:/html/include/PageButtons.html%
		
	</div>
	
~%%include:bsDialog:/html/include/BSDialog.html%

<span id="sortAsc" style="display:none;">&nbsp;~%%include:sortAscIcon:/svg/caret-up-fill.svg%</span>
<span id="sortDesc" style="display:none;">&nbsp;~%%include:sortDescIcon:/svg/caret-down-fill.svg%</span>

<script>	
$('document').ready(function() {
	initListPage();
	initAdminListPage("Afdeling");
});
</script>

</body>
</html>
